
Core - Bug # 47529

Status: Resolved Priority: Must have
Author: Lars no-lastname-given Category: Backend User Interface
Created: 2013-04-24 Assigned To:
Updated: 2013-07-31 Due date:
TYPO3 Version: 4.5
PHP Version: 5.3
Complexity: easy
Is Regression:
Sprint Focus:
Subject: Regression in 4.7.11rc1: Invalid argument supplied for foreach() in class.tx_cms_layout.php line 404
Description

Since commit https://git.typo3.org/TYPO3v4/Core.git/commitdiff/f6d0567b1b53653d520cc3fb08de3a2e2de9de64 this warning appears
for each empty column:

PHP Warning: Invalid argument supplied for foreach() in
typo3_src-4.7.11rc1/typo3/sysext/cms/layout/class.tx_cms_layout.php line 404

Tested in 4.7.11rc1, PHP 5.3.22 with APC

Related issues:
duplicated by Core - Bug # 44540: PHP Warning in 6.0.1-dev if there are empty... Resolved 2013-01-15
follows Core - Bug # 44470: Content elements in wrong column in page module Resolved 2013-01-13

Associated revisions
Revision 0a7d60d5 - 2013-04-27 15:18 - Christian Zenker

[BUGFIX] Empty columns in Page Module view cause warnings

The iteration over columns in the page module layout view
expects arrays. Since it might happen, that there is no element
for a particular column, variables need to be initialized with
an empty array.

Change-Id: I63b4b26a87f1520139c9d66d0c096a78d39e409c
Fixes: #47529
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Reviewed-on: https://review.typo3.org/20229
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 73b2d233 - 2013-04-27 15:21 - Christian Zenker

[BUGFIX] Empty columns in Page Module view cause warnings

The iteration over columns in the page module layout view
expects arrays. Since it might happen, that there is no element
for a particular column, variables need to be initialized with
an empty array.
Change-Id: I63b4b26a87f1520139c9d66d0c096a78d39e409c
Fixes: #47529
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Reviewed-on: https://review.typo3.org/20229
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-on: https://review.typo3.org/20230

Revision 0965bda0 - 2013-04-27 15:22 - Christian Zenker

[BUGFIX] Empty columns in Page Module view cause warnings

The iteration over columns in the page module layout view
expects arrays. Since it might happen, that there is no element
for a particular column, variables need to be initialized with
an empty array.

Change-Id: I63b4b26a87f1520139c9d66d0c096a78d39e409c
Fixes: #47529
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Reviewed-on: https://review.typo3.org/20229
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-on: https://review.typo3.org/20231

Revision 4ba94403 - 2013-04-27 15:26 - Christian Zenker

[BUGFIX] Empty columns in Page Module view cause warnings

The iteration over columns in the page module layout view
expects arrays. Since it might happen, that there is no element
for a particular column, variables need to be initialized with
an empty array.

Change-Id: I63b4b26a87f1520139c9d66d0c096a78d39e409c
Fixes: #47529
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Reviewed-on: https://review.typo3.org/20164
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 51628def - 2013-04-27 15:26 - Christian Zenker

[BUGFIX] Empty columns in Page Module view cause warnings

The iteration over columns in the page module layout view
expects arrays. Since it might happen, that there is no element
for a particular column, variables need to be initialized with
an empty array.
Change-Id: I63b4b26a87f1520139c9d66d0c096a78d39e409c
Fixes: #47529
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Reviewed-on: https://review.typo3.org/20232
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2013-04-24 12:58 - Chris topher
- Category set to 1394
- Target version set to 4.7.11

This does not concern 4.6, but all other branches from 4.5 up to master. See #44470.

#2 - 2013-04-24 12:59 - Chris topher
- Subject changed from Warning in tx_cms_layout to Regression in 4.7.11rc1: Invalid argument supplied for foreach() in class.tx_cms_layout.php line 
404

#3 - 2013-04-25 17:21 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/20164

#4 - 2013-04-27 15:17 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20229

#5 - 2013-04-27 15:20 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/20230

#6 - 2013-04-27 15:20 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20231

#7 - 2013-04-27 15:24 - Gerrit Code Review

Patch set 5 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/20164
#8 - 2013-04-27 15:25 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.org/20232

#9 - 2013-04-27 15:28 - Oliver Hader
- Category changed from 1394 to Backend User Interface
- Status changed from Under Review to Resolved
- Target version changed from 4.7.11 to 4.5.26
- % Done changed from 0 to 100
- TYPO3 Version changed from 4.7 to 4.5
- PHP Version set to 5.3

#10 - 2013-07-31 10:08 - Daniel Ostmann
- File Bildschirmfoto_2013-07-31_um_10.01.20.png added

This is still an issue in 4.7.14. I attached a screenshot. I occours, if i select a page without any content columns.

Files
Bildschirmfoto_2013-07-31_um_10.01.20.png 141.4 kB 2013-07-31 Daniel Ostmann
